VERHAAL(1)

NAME
verhaal - Linux kernel commit database builder

SYNOPSIS
CVEKERNELTREE=/path/to/stable/kernel verhaal

DESCRIPTION
Tool used to build a database up of the Linux kernel commits, including all stable branches, in order to quickly and simply query it later on to determine where patches are committed across branches and what commits fix which other commits.

This is used by the https://git.kernel.org/pub/scm/linux/security/vulns.git/ tools that the Linux kernel CVE team use to manage and track CVEs for Linux. It can also be used by anyone else who just wants to know "what commit id was backported where", as that is a common query by many companies / developers when trying to figure out bugs and backports that might be needed and not completed.